Package org.apache.sysds.hops

# Enum Class BinaryOp.MMBinaryMethod

java.lang.Object
java.lang.Enum<BinaryOp.MMBinaryMethod>
org.apache.sysds.hops.BinaryOp.MMBinaryMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<BinaryOp.MMBinaryMethod>`, `Constable`

Enclosing class:
  BinaryOp

public static enum BinaryOp.MMBinaryMethod extends Enum<BinaryOp.MMBinaryMethod>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CP_BINARY`
`MR_BINARY_M`
`MR_BINARY_OUTER_M`
`MR_BINARY_OUTER_R`
`MR_BINARY_R`
`MR_BINARY_UAGG_CHAIN`

## Method Summary

Modifier and Type
Method
Description
`static BinaryOp.MMBinaryMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BinaryOp.MMBinaryMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CP_BINARY

public static final BinaryOp.MMBinaryMethod CP_BINARY

### MR_BINARY_R

public static final BinaryOp.MMBinaryMethod MR_BINARY_R

### MR_BINARY_M

public static final BinaryOp.MMBinaryMethod MR_BINARY_M

### MR_BINARY_OUTER_M

public static final BinaryOp.MMBinaryMethod MR_BINARY_OUTER_M

### MR_BINARY_OUTER_R

public static final BinaryOp.MMBinaryMethod MR_BINARY_OUTER_R

### MR_BINARY_UAGG_CHAIN

public static final BinaryOp.MMBinaryMethod MR_BINARY_UAGG_CHAIN

## Method Details

### values

public static BinaryOp.MMBinaryMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BinaryOp.MMBinaryMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null